import request from '@/utils/request'

// 查询学校定位列表
export function listMallSchoolPosition(query) {
  return request({
    url: '/mall/mallSchoolPosition/list',
    method: 'get',
    params: query
  })
}

// 查询学校定位详细
export function getMallSchoolPosition(positionId) {
  return request({
    url: '/mall/mallSchoolPosition/' + positionId,
    method: 'get'
  })
}

// 新增学校定位
export function addMallSchoolPosition(data) {
  return request({
    url: '/mall/mallSchoolPosition',
    method: 'post',
    data: data
  })
}

// 修改学校定位
export function updateMallSchoolPosition(data) {
  return request({
    url: '/mall/mallSchoolPosition',
    method: 'put',
    data: data
  })
}

// 删除学校定位
export function delMallSchoolPosition(positionId) {
  return request({
    url: '/mall/mallSchoolPosition/' + positionId,
    method: 'delete'
  })
}
